#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire2two13004xi.py">
#<abstract4xi abstract = "fires to direction two and to distance 1300"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2two13004xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
# -------------------------------------------------------------------------------------------------
# SHOT2TWO - COORDINATE SIGNS OF SHOOT2TWO4XI: (X + ,Y - ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2two13004xi

#"
#/>

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

# -------------------------------------------------------------------------------------------------
# 1300
# -------------------------------------------------------------------------------------------------
shot2two13004xi = {
        1:'1017x-766y-259z',
        2:'1021x-797y-103z',
        3:'104x-519y-1187z',
        4:'1054x-710y-272z',
        5:'1060x-742y-116z',
        6:'1087x-652y-285z',
        7:'1097x-685y-128z',
        8:'1117x-593y-297z',
        9:'1130x-626y-141z',
        10:'113x-1293y-53z',
        11:'1144x-532y-310z',
        12:'1160x-565y-154z',
        13:'1167x-471y-322z',
        14:'1186x-503y-167z',
        15:'1187x-408y-335z',
        16:'1204x-344y-348z',
        17:'1209x-440y-180z',
        18:'120x-659y-1114z',
        19:'1217x-280y-360z',
        20:'1226x-215y-373z',
        21:'1229x-375y-193z',
        22:'1232x-150y-385z',
        23:'1233x-20y-410z',
        24:'1234x-85y-397z',
        25:'1245x-310y-206z',
        26:'1255x-336y-3z',
        27:'1257x-244y-219z',
        28:'1266x-178y-231z',
        29:'1271x-111y-244z',
        30:'1271x-270y-16z',
        31:'1273x-44y-257z',
        32:'1283x-203y-29z',
        33:'128x-501y-1192z',
        34:'1292x-135y-42z',
        35:'1297x-67y-55z',
        36:'135x-824y-995z',
        37:'151x-641y-1120z',
        38:'162x-519y-1289z',
        39:'16x-702y-1093z',
        40:'176x-806y-1004z',
        41:'181x-1285y-66z',
        42:'182x-621y-1127z',
        43:'210x-600y-1133z',
        44:'215x-786y-1012z',
        45:'237x-577y-1139z',
        46:'23x-564y-1170z',
        47:'248x-1273y-79z',
        48:'253x-764y-1020z',
        49:'262x-554y-1146z',
        50:'285x-529y-1152z',
        51:'289x-740y-1028z',
        52:'307x-504y-1158z',
        53:'314x-1258y-92z',
        54:'323x-714y-1036z',
        55:'326x-477y-1164z',
        56:'343x-450y-1169z',
        57:'355x-687y-1044z',
        58:'359x-423y-1175z',
        59:'360x-10y-1248z',
        60:'372x-30y-1245z',
        61:'373x-395y-1180z',
        62:'379x-1238y-105z',
        63:'382x-51y-1241z',
        64:'384x-367y-1186z',
        65:'385x-659y-1051z',
        66:'391x-73y-1237z',
        67:'394x-338y-1191z',
        68:'399x-96y-1233z',
        69:'402x-310y-1196z',
        70:'405x-121y-1229z',
        71:'407x-282y-1201z',
        72:'409x-146y-1224z',
        73:'411x-253y-1206z',
        74:'412x-172y-1220z',
        75:'413x-629y-1059z',
        76:'414x-199y-1216z',
        77:'414x-226y-1211z',
        78:'439x-598y-1067z',
        79:'443x-1216y-118z',
        80:'463x-566y-1074z',
        81:'46x-1298y-40z',
        82:'485x-533y-1081z',
        83:'49x-853y-979z',
        84:'4x-864y-970z',
        85:'505x-1190y-131z',
        86:'505x-499y-1088z',
        87:'51x-550y-1176z',
        88:'522x-464y-1095z',
        89:'52x-690y-1100z',
        90:'537x-430y-1102z',
        91:'550x-25y-1177z',
        92:'550x-394y-1109z',
        93:'560x-359y-1116z',
        94:'560x-55y-1171z',
        95:'566x-1160y-144z',
        96:'568x-86y-1166z',
        97:'569x-324y-1122z',
        98:'574x-118y-1160z',
        99:'575x-288y-1129z',
        100:'578x-151y-1154z',
        101:'579x-253y-1135z',
        102:'580x-185y-1148z',
        103:'580x-219y-1142z',
        104:'610x-1147y0z',
        105:'626x-1128y-156z',
        106:'669x-1114y-12z',
        107:'683x-1092y-169z',
        108:'726x-1077y-25z',
        109:'738x-1053y-182z',
        110:'782x-1037y-38z',
        111:'78x-535y-1181z',
        112:'791x-1012y-195z',
        113:'834x-995y-51z',
        114:'842x-967y-208z',
        115:'87x-675y-1107z',
        116:'885x-949y-64z',
        117:'890x-921y-221z',
        118:'933x-901y-77z',
        119:'935x-871y-234z',
        120:'93x-840y-987z',
        121:'978x-819y-246z',
        122:'978x-850y-90z'}
        
        
#"
#"/>

        
# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire1300two4xi" usage = "target function for chargeone4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire1300two4xi(queue2two, consumer_channel2two, publisher_channel2two):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE1300TWO4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE1300TWO4XI -  QUEUE2TWO: ", queue2two)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE1300TWO4XI -  CONSUMER_CHANNEL2TWO: ", consumer_channel2two)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE1300TWO4XI -  PUBLISHER_CHANNEL2TWO: ", publisher_channel2two)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE1300TWO4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2two.put(shot2two13004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE1300TWO4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE1300TWO4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE1300TWO4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2two8shot2two13004xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2two8shot2two13004xi</nack2put4xi>" 
            
        publisher_channel2two.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE1300TWO4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE1300TWO4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE1300TWO4XI - RETURNING QUEUE OBJECT QUEUE2TWO: ", queue2two, " - TIME: ", time4xi())  
        # 
            
    return queue2two    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verbkb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire2two13004xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
        